# Inequality {}

- [Overview](https://docs.angular-package.dev/range-1/inequality/overview.md): The \`Inequality\` primitive wrapper object
- [Generic type variables](https://docs.angular-package.dev/range-1/inequality/generic-type-variables.md): The \`Inequality\` primitive wrapper object generic type variables
- [Constructor](https://docs.angular-package.dev/range-1/inequality/constructor.md): The \`Inequality\` primitive wrapper object constructor
- [Accessors](https://docs.angular-package.dev/range-1/inequality/accessors.md): The \`Inequality\` primitive wrapper object accessors
- [get greater()](https://docs.angular-package.dev/range-1/inequality/accessors/get-greater.md): The get accessor obtains from the private #greater property an instance of the Greater
- [get less()](https://docs.angular-package.dev/range-1/inequality/accessors/get-less.md): The get accessor obtains from the private #less property an instance of the Less
- [Properties](https://docs.angular-package.dev/range-1/inequality/properties.md): The \`Inequality\` primitive wrapper object properties
- [#greater](https://docs.angular-package.dev/range-1/inequality/properties/greater.md): Private property of the Greater primitive wrapper object
- [#less](https://docs.angular-package.dev/range-1/inequality/properties/less.md)
- [Methods](https://docs.angular-package.dev/range-1/inequality/methods.md): The \`Inequality\` primitive wrapper object methods
- [greaterThan()](https://docs.angular-package.dev/range-1/inequality/methods/greaterthan.md): Checks whether the primitive value of a child class is greater than the given value
- [greaterThanEvery()](https://docs.angular-package.dev/range-1/inequality/methods/greaterthanevery.md): Checks whether the primitive value of a child instance is greater than every value of the given values
- [greaterThanSome()](https://docs.angular-package.dev/range-1/inequality/methods/greaterthansome.md): Checks whether the primitive value of a child instance is greater than some given values
- [lessThan()](https://docs.angular-package.dev/range-1/inequality/methods/lessthan.md): Checks whether the primitive value of a child class is less than the given value
- [lessThanEvery()](https://docs.angular-package.dev/range-1/inequality/methods/lessthanevery.md): Checks whether the primitive value of a child class instance is less than every value of the given values
- [lessThanSome()](https://docs.angular-package.dev/range-1/inequality/methods/lessthansome.md): Checks whether the primitive value of a child class is less than some given values


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/range-1/inequality.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
